from serif import config
from serif.polytrope import PolySolver
from serif.mfem import Matrix
from serif.mfem import Operator
from serif.mfem.forms import BilinearForm

config.loadConfig('../../testsConfig.yaml')
n = config.get("Tests:Poly:Index", 0.0)

polytrope = PolySolver(n, 1)
polytrope.solve()
theta = polytrope.get_theta()
print(theta)

FESpace = theta.FESpace()
print(FESpace)

print(theta.as_numpy())
